commit:     d83ed96038b745dc23a1c79e03ef7a43518f4163
Author:     Sv. Lockal <lockalsash <AT> gmail <DOT> com>
AuthorDate: Thu Jan 30 14:06:30 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 13 08:35:18 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d83ed960

dev-libs/rocm-opencl-runtime: drop 5.1.3, 5.3.3-r1, 5.4.3-r1, 5.5.1

Signed-off-by: Sv. Lockal <lockalsash <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/rocm-opencl-runtime/Manifest              |   8 -
 .../files/rocclr-5.3.3-fix-include.patch           | 218 ---------------------
 .../files/rocclr-5.3.3-gcc13.patch                 |  27 ---
 ...cl-runtime-3.5.0-do-not-install-libopencl.patch |  14 --
 .../rocm-opencl-runtime-5.0.2-enable-gfx800.patch  |  16 --
 .../rocm-opencl-runtime-5.1.3-remove-clinfo.patch  |  24 ---
 .../files/rocm-opencl-runtime-5.3.3-gcc13.patch    |  27 ---
 .../rocm-opencl-runtime-5.1.3.ebuild               | 130 ------------
 .../rocm-opencl-runtime-5.3.3-r1.ebuild            | 118 -----------
 .../rocm-opencl-runtime-5.4.3-r1.ebuild            | 136 -------------
 .../rocm-opencl-runtime-5.5.1.ebuild               | 133 -------------
 11 files changed, 851 deletions(-)

diff --git a/dev-libs/rocm-opencl-runtime/Manifest 
b/dev-libs/rocm-opencl-runtime/Manifest
index 4ec8a58f9896..d149cf048e0c 100644
--- a/dev-libs/rocm-opencl-runtime/Manifest
+++ b/dev-libs/rocm-opencl-runtime/Manifest
@@ -1,13 +1,5 @@
-DIST rocclr-5.1.3.tar.gz 618606 BLAKE2B 
02b7732ddd03c0883bee49c56466cd21c649159f801bfb2537eea6e640c65613eb57b37d942f465a9deb83d65735f51212dde5e4f77ba8239d1a6b7037e1800c
 SHA512 
89fd2eca39ed84a1cf525b2c606089ef39f64c1f997c4880e10722da6de4864110752640e1508db1aeb9d15c48ba4e6fe5dbe7a9e56718853ece42548028b2ca
-DIST rocclr-5.3.3.tar.gz 625944 BLAKE2B 
0cdbc1415a355e1d56628834846aaa8587c9827eeea59f4312b788e868265dcb42197181fd5ef411416da2e11662c7f665f578aa750ab88c3a5405bcc58ee449
 SHA512 
3f85532cffc09c2ca8e7cd1770263d1c1a38633ed2bc5cfe62072e12a6f8f669db400519950718be31f6b77693d372e2ef905f06c7f02e126aa9ff7d2da97924
-DIST rocclr-5.4.3.tar.gz 640557 BLAKE2B 
9ab91bab7ffb06c9c0d1c2ae79533fccc597071dda289ac375e32eb2965c638a7029951d2a49d46eeead9d7d242fe3a0cedb3e444d877af1bbf0e2d801c91e11
 SHA512 
c1d1a2ca08c2d762a221c04d394469aa7aff46086151333b145e0db9a7c7eb3dbbf8b9693e50d816aa9a13c16b4ebacf5ff3d5d8ff3393a8a764728ef5172d3a
-DIST rocclr-5.5.1.tar.gz 634330 BLAKE2B 
e6383a6b6b09f274a944d66effd345e38a191ec73ee5c5240f8ec8bb62a4df97b80835ce57f8f78c3834602b9da425b49289b5c7cd7e4c7071147ff409c6a6c9
 SHA512 
4c12011d22a4f14d9e93250b2a38716eb973139afa1adbbbd51c0e0ed13c0b7c1f45a37c71ef937c5fdabf09e928d7913ca3332fc61b7a2c10d21421306a228f
 DIST rocm-clr-5.7.1.tar.gz 2008647 BLAKE2B 
3db0760d6f83504e60caf88a2dd5e0bc02c7db9d6f263ad0eb2cfc79aa0f88a3699c412844a0158a796d9d02e79660287e791edad787d814eefffea4fd2298b4
 SHA512 
d79323481d82fc02c12a32cdcc0d14437d512af023e7737db0387b7eecb27fe6e4ae7c71d6adce57932a04bb24c880440d9dc10aeb5af11a4f2ca64d44330965
 DIST rocm-clr-6.1.1.tar.gz 2031034 BLAKE2B 
b0485bb015d31986f4988d1db0c029c826856e50b5bb1b58fac2097c14b3966668f1b8d41ec198889e27ac860497a8b3c081ec31d52390d5c9ff5db092bf7cce
 SHA512 
86925e8b9a9e77b06a57daefbc7279887b4ef7c6a79c3717bc2f2d3bf29926281c60063fd17e21c65d7def520d9f579bf88f69051d053a38750ba968f69ca3fc
 DIST rocm-clr-6.1.2.tar.gz 2031283 BLAKE2B 
d51d32a77794ea97f1a3817786c9fd6b482106b665eea6e2c9b4c11e4dce19a3486386eb5ba111554c2d82c30e2a93add7502eed5768caf3fb709fb5fbb2e71b
 SHA512 
e97224451864efe0084c4117f54893c9624a6a9f365a0b4abad08fd9635f008dea742dc589429fbb714e1b8177d06362c0f5a741f6c4a050d0fd4d48da72d54b
 DIST rocm-clr-6.3.0.tar.gz 2093572 BLAKE2B 
14f75f9f5dc4000a2abf28e523659def8cd96112c9c8b95abb634c33433077faa3ddab3fbe659e0ed2e1f309f63a93b7eb03fa6f246b4cea06ca8c512c13308a
 SHA512 
f005baaf2a8f63946811db990e2d373906b31a4085a51427d407c9e4c1d877a14aeb713190a285953cadb960b5517570941c60e2f998adb2b1f9833f1d2f5925
 DIST rocm-clr-6.3.2.tar.gz 2095677 BLAKE2B 
2f1122a2058f8ba358fe48a46473f23c46a5413fef16515f103c21a8ae13bb76522fbe587cb9c9e6e3dd06f968402b6a881391823c80381c0c41072597c845ac
 SHA512 
5bade294dc6fc60bf459bfd7124c354f2b0079167d3c8776a9e3d6d8320bb9b1a2a0770a466987e164994293024bf47de158ba207f077968dfccb7bf20fb884b
-DIST rocm-opencl-runtime-5.1.3.tar.gz 1004765 BLAKE2B 
64d9b42026d2be1d0e4aa666785699f6b4ec0584a927904a94bf830883050943503f8bdd7c97438a2fb11c71686a330d526f633959916c5c6c8da2e037841e79
 SHA512 
b83c3ae0bfad80f867bacce36710a8964f6dd7e64bf50da3ec6ce842217d6de63299d9ceaab9dc25a22252484520a85d02859809463dad5dda9b1f00a86863e0
-DIST rocm-opencl-runtime-5.3.3.tar.gz 1007773 BLAKE2B 
a3f600a68183337f92b152a123241cb7025889cca2ef6814d9d5b5a2146a78703b171d20bcb432bc7a2cdd1f24ad349408c17816b25a66702e9f0f5345af9082
 SHA512 
391f0f244b7f02972df8cada821e69ee8d81d96b9cff3c14f1d0838da583d8fb136ec4bd5ee820f6dd261968e9eef5e9a5b10b7bb76b1b64625c399d79bcb03f
-DIST rocm-opencl-runtime-5.4.3.tar.gz 1005268 BLAKE2B 
f9398e4c2b0f045f1b5d8df9f31b7f2bef6a9201885aa6ee5fc5d71632cfde26a078d9a5ea38c3da12d3c187faf04c7bdcf1a8ecb9927cdba56b1efdfcdc44ee
 SHA512 
f65d4622ce8721a6b91ab5b5b306d142ba507d3e631ac3ab0b76c5bc6d8d18455e02debd954c82e7eb609f232b509f1ec1a013dc2fad467c2c2ad31fdf15755d
-DIST rocm-opencl-runtime-5.5.1.tar.gz 991802 BLAKE2B 
07d955b4a76b11296259287f5878cadc2438350a3abcdb5bd693c02790ff4c330b1d0a2a87f8de5334b3e3459c26b3fdf695886502ec5d2c373d807c242c8f93
 SHA512 
06786e818002dc43f64e4b0aaae0a0a2bcdad7acdb4662e1215d43277b107d65fb9a7f7441c31e3378c380cac860b1cd2eaefb5753246beffa4d9c10efced85e

diff --git a/dev-libs/rocm-opencl-runtime/files/rocclr-5.3.3-fix-include.patch 
b/dev-libs/rocm-opencl-runtime/files/rocclr-5.3.3-fix-include.patch
deleted file mode 100644
index e014fe374bec..000000000000
--- a/dev-libs/rocm-opencl-runtime/files/rocclr-5.3.3-fix-include.patch
+++ /dev/null
@@ -1,218 +0,0 @@
-For https://bugs.gentoo.org/893602
-==================================
-From 197ea6f76f34e0b3c8ab46d96c2fa5014e467e37 Mon Sep 17 00:00:00 2001
-From: Maneesh Gupta <[email protected]>
-Date: Fri, 5 Aug 2022 05:42:39 +0000
-Subject: [PATCH] SWDEV-350289 - Fix build warnings due to file re-org
-
-Change-Id: I0066fa163b9f25fdde4c5b3baed1ef0654390c06
----
- device/comgrctx.hpp           | 2 +-
- device/devkernel.hpp          | 2 +-
- device/devprogram.hpp         | 2 +-
- device/rocm/pro/prodevice.cpp | 2 +-
- device/rocm/pro/prodriver.hpp | 2 +-
- device/rocm/roccounters.hpp   | 2 +-
- device/rocm/rocdevice.hpp     | 8 ++++----
- device/rocm/rocglinterop.hpp  | 2 +-
- device/rocm/rockernel.cpp     | 2 +-
- device/rocm/rocprogram.cpp    | 2 +-
- device/rocm/rocsignal.hpp     | 4 ++--
- device/rocm/rocvirtual.cpp    | 4 ++--
- device/rocm/rocvirtual.hpp    | 8 ++++----
- 13 files changed, 21 insertions(+), 21 deletions(-)
-
-diff --git a/device/comgrctx.hpp b/device/comgrctx.hpp
-index d69506e2..31ee24e1 100644
---- a/device/comgrctx.hpp
-+++ b/device/comgrctx.hpp
-@@ -23,7 +23,7 @@
- #include <mutex>
- #if defined(USE_COMGR_LIBRARY)
- #include "top.hpp"
--#include "amd_comgr.h"
-+#include "amd_comgr/amd_comgr.h"
- 
- namespace amd {
- typedef void (*t_amd_comgr_get_version)(size_t *major, size_t *minor);
-diff --git a/device/devkernel.hpp b/device/devkernel.hpp
-index 19b3212d..b256abf3 100644
---- a/device/devkernel.hpp
-+++ b/device/devkernel.hpp
-@@ -105,7 +105,7 @@ struct RuntimeHandle {
-   uint32_t group_segment_size;        //!< From GROUP_SEGMENT_FIXED_SIZE
- };
- 
--#include "amd_comgr.h"
-+#include "amd_comgr/amd_comgr.h"
- 
- //  for Code Object V3
- enum class ArgField : uint8_t {
-diff --git a/device/devprogram.hpp b/device/devprogram.hpp
-index 099d6a37..741d81b0 100644
---- a/device/devprogram.hpp
-+++ b/device/devprogram.hpp
-@@ -29,7 +29,7 @@
- #include "devwavelimiter.hpp"
- 
- #if defined(USE_COMGR_LIBRARY)
--#include "amd_comgr.h"
-+#include "amd_comgr/amd_comgr.h"
- #endif  // defined(USE_COMGR_LIBRARY)
- 
- namespace amd {
-diff --git a/device/rocm/pro/prodevice.cpp b/device/rocm/pro/prodevice.cpp
-index a0e49461..1e366cd2 100644
---- a/device/rocm/pro/prodevice.cpp
-+++ b/device/rocm/pro/prodevice.cpp
-@@ -20,7 +20,7 @@
- 
- #ifndef WITHOUT_HSA_BACKEND
- 
--#include "hsa_ext_amd.h"
-+#include "hsa/hsa_ext_amd.h"
- #include "lnxheaders.h"
- #include "prodevice.hpp"
- #include "amdgpu_drm.h"
-diff --git a/device/rocm/pro/prodriver.hpp b/device/rocm/pro/prodriver.hpp
-index bc420697..819ade27 100644
---- a/device/rocm/pro/prodriver.hpp
-+++ b/device/rocm/pro/prodriver.hpp
-@@ -23,7 +23,7 @@
- #ifndef WITHOUT_HSA_BACKEND
- 
- #include "top.hpp"
--#include "hsa.h"
-+#include "hsa/hsa.h"
- 
- /*! \addtogroup HSA
-  *  @{
-diff --git a/device/rocm/roccounters.hpp b/device/rocm/roccounters.hpp
-index ffc9fad0..45ebbe66 100644
---- a/device/rocm/roccounters.hpp
-+++ b/device/rocm/roccounters.hpp
-@@ -24,7 +24,7 @@
- #include "top.hpp"
- #include "device/device.hpp"
- #include "device/rocm/rocdevice.hpp"
--#include "hsa_ven_amd_aqlprofile.h"
-+#include "hsa/hsa_ven_amd_aqlprofile.h"
- 
- namespace roc {
- 
-diff --git a/device/rocm/rocdevice.hpp b/device/rocm/rocdevice.hpp
-index d8cb4c6c..44339bb9 100644
---- a/device/rocm/rocdevice.hpp
-+++ b/device/rocm/rocdevice.hpp
-@@ -40,10 +40,10 @@
- #include "device/rocm/rocprintf.hpp"
- #include "device/rocm/rocglinterop.hpp"
- 
--#include "hsa.h"
--#include "hsa_ext_image.h"
--#include "hsa_ext_amd.h"
--#include "hsa_ven_amd_loader.h"
-+#include "hsa/hsa.h"
-+#include "hsa/hsa_ext_image.h"
-+#include "hsa/hsa_ext_amd.h"
-+#include "hsa/hsa_ven_amd_loader.h"
- 
- #include <atomic>
- #include <iostream>
-diff --git a/device/rocm/rocglinterop.hpp b/device/rocm/rocglinterop.hpp
-index a539cc6f..588d8a6f 100644
---- a/device/rocm/rocglinterop.hpp
-+++ b/device/rocm/rocglinterop.hpp
-@@ -34,7 +34,7 @@ typedef __GLXcontextRec* GLXContext;
- 
- #include "device/rocm/mesa_glinterop.h"
- #include "device/rocm/rocregisters.hpp"
--#include "hsa_ext_amd.h"
-+#include "hsa/hsa_ext_amd.h"
- 
- namespace roc {
- 
-diff --git a/device/rocm/rockernel.cpp b/device/rocm/rockernel.cpp
-index 76ab76ad..5624c877 100644
---- a/device/rocm/rockernel.cpp
-+++ b/device/rocm/rockernel.cpp
-@@ -19,7 +19,7 @@
-  THE SOFTWARE. */
- 
- #include "rockernel.hpp"
--#include "amd_hsa_kernel_code.h"
-+#include "hsa/amd_hsa_kernel_code.h"
- 
- #include <algorithm>
- 
-diff --git a/device/rocm/rocprogram.cpp b/device/rocm/rocprogram.cpp
-index e4559645..4f77026d 100644
---- a/device/rocm/rocprogram.cpp
-+++ b/device/rocm/rocprogram.cpp
-@@ -25,7 +25,7 @@
- #include "utils/options.hpp"
- #include "rockernel.hpp"
- 
--#include "amd_hsa_kernel_code.h"
-+#include "hsa/amd_hsa_kernel_code.h"
- 
- #include <string>
- #include <vector>
-diff --git a/device/rocm/rocsignal.hpp b/device/rocm/rocsignal.hpp
-index 3e8c1e6e..fff310d5 100644
---- a/device/rocm/rocsignal.hpp
-+++ b/device/rocm/rocsignal.hpp
-@@ -22,7 +22,7 @@
- 
- #include "device/devsignal.hpp"
- 
--#include <hsa.h>
-+#include "hsa/hsa.h"
- 
- namespace roc {
- 
-@@ -44,4 +44,4 @@ public:
-   }
- };
- 
--};
-\ No newline at end of file
-+};
-diff --git a/device/rocm/rocvirtual.cpp b/device/rocm/rocvirtual.cpp
-index 63b96378..1b6287e9 100644
---- a/device/rocm/rocvirtual.cpp
-+++ b/device/rocm/rocvirtual.cpp
-@@ -33,8 +33,8 @@
- #include "platform/sampler.hpp"
- #include "utils/debug.hpp"
- #include "os/os.hpp"
--#include "amd_hsa_kernel_code.h"
--#include "amd_hsa_queue.h"
-+#include "hsa/amd_hsa_kernel_code.h"
-+#include "hsa/amd_hsa_queue.h"
- 
- #include <fstream>
- #include <limits>
-diff --git a/device/rocm/rocvirtual.hpp b/device/rocm/rocvirtual.hpp
-index 6c738776..1bb0868c 100644
---- a/device/rocm/rocvirtual.hpp
-+++ b/device/rocm/rocvirtual.hpp
-@@ -24,11 +24,11 @@
- #include "rocdefs.hpp"
- #include "rocdevice.hpp"
- #include "utils/util.hpp"
--#include "hsa.h"
--#include "hsa_ext_image.h"
--#include "hsa_ext_amd.h"
-+#include "hsa/hsa.h"
-+#include "hsa/hsa_ext_image.h"
-+#include "hsa/hsa_ext_amd.h"
- #include "rocprintf.hpp"
--#include "hsa_ven_amd_aqlprofile.h"
-+#include "hsa/hsa_ven_amd_aqlprofile.h"
- #include "rocsched.hpp"
- 
- namespace roc {
--- 
-2.39.1
-

diff --git a/dev-libs/rocm-opencl-runtime/files/rocclr-5.3.3-gcc13.patch 
b/dev-libs/rocm-opencl-runtime/files/rocclr-5.3.3-gcc13.patch
deleted file mode 100644
index a86cd9fa120e..000000000000
--- a/dev-libs/rocm-opencl-runtime/files/rocclr-5.3.3-gcc13.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-For https://bugs.gentoo.org/895382
-==================================
-From ca70cd7c3d63b1036e604116f3b269ca123e7904 Mon Sep 17 00:00:00 2001
-From: Jeremy Newton <[email protected]>
-Date: Wed, 8 Feb 2023 14:03:58 -0500
-Subject: [PATCH] SWDEV-1 - device: Add missing include
-
-Newer GCC's seem to require this.
-
-Change-Id: I85926d4fa552b772f2eb9f8ede7863a546c47f54
-Signed-off-by: Jeremy Newton <[email protected]>
----
- device/devhcprintf.cpp | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/device/devhcprintf.cpp b/device/devhcprintf.cpp
-index b36f7758..a5aba4a4 100644
---- a/device/devhcprintf.cpp
-+++ b/device/devhcprintf.cpp
-@@ -23,6 +23,7 @@
- 
- #include <assert.h>
- #include <cstdarg>
-+#include <cstdint>
- #include <cstdio>
- #include <cstring>
- #include <string>

diff --git 
a/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-3.5.0-do-not-install-libopencl.patch
 
b/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-3.5.0-do-not-install-libopencl.patch
deleted file mode 100644
index a74b2363c2df..000000000000
--- 
a/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-3.5.0-do-not-install-libopencl.patch
+++ /dev/null
@@ -1,14 +0,0 @@
---- a/khronos/icd/CMakeLists.txt       2020-06-07 16:05:32.425022904 +0200
-+++ b/khronos/icd/CMakeLists.txt       2020-06-07 16:06:03.273022786 +0200
-@@ -132,7 +132,7 @@
-     add_subdirectory (test)
- endif()
- 
--install (TARGETS OpenCL
--    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
--    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
--    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
-+#install (TARGETS OpenCL
-+#    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
-+#    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
-+#    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

diff --git 
a/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-5.0.2-enable-gfx800.patch
 
b/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-5.0.2-enable-gfx800.patch
deleted file mode 100644
index 29482340295e..000000000000
--- 
a/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-5.0.2-enable-gfx800.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-#From xuhuisheng
-#at 
https://github.com/RadeonOpenCompute/ROCm/issues/1659#issuecomment-1041026624
-
-diff --git a/utils/flags.hpp b/utils/flags.hpp
-index 8f0228cc..2eaa47c5 100644
---- a/utils/flags.hpp
-+++ b/utils/flags.hpp
-@@ -245,7 +245,7 @@ release(bool, ROC_SYSTEM_SCOPE_SIGNAL, true,               
                   \
-         "Enable system scope for signals (uses interrupts).")                 
\
- release(bool, ROC_SKIP_COPY_SYNC, false,                                      
\
-         "Skips copy syncs if runtime can predict the same engine.")           
\
--release(bool, ROC_ENABLE_PRE_VEGA, false,                                     
\
-+release(bool, ROC_ENABLE_PRE_VEGA, true,                                     \
-         "Enable support of pre-vega ASICs in ROCm path")                      
\
- release(bool, HIP_FORCE_QUEUE_PROFILING, false,                               
\
-         "Force command queue profiling by default")                           
\

diff --git 
a/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-5.1.3-remove-clinfo.patch
 
b/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-5.1.3-remove-clinfo.patch
deleted file mode 100644
index d169902563e1..000000000000
--- 
a/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-5.1.3-remove-clinfo.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-Index: ROCm-OpenCL-Runtime-rocm-5.1.3/CMakeLists.txt
-===================================================================
---- ROCm-OpenCL-Runtime-rocm-5.1.3.orig/CMakeLists.txt
-+++ ROCm-OpenCL-Runtime-rocm-5.1.3/CMakeLists.txt
-@@ -16,7 +16,6 @@ option(EMU_ENV "Enable building for emul
- set(OPENCL_ICD_LOADER_HEADERS_DIR 
"${CMAKE_CURRENT_LIST_DIR}/khronos/headers/opencl2.2" CACHE PATH "")
- add_subdirectory(khronos/icd)
- add_subdirectory(amdocl)
--add_subdirectory(tools/clinfo)
- add_subdirectory(tools/cltrace)
- if(BUILD_TESTS)
-   add_subdirectory(tests/ocltst)
-Index: ROCm-OpenCL-Runtime-rocm-5.1.3/packaging/CMakeLists.txt
-===================================================================
---- ROCm-OpenCL-Runtime-rocm-5.1.3.orig/packaging/CMakeLists.txt
-+++ ROCm-OpenCL-Runtime-rocm-5.1.3/packaging/CMakeLists.txt
-@@ -5,7 +5,6 @@ set(CPACK_COMPONENTS_ALL binary dev icd)
- set(CPACK_DEB_COMPONENT_INSTALL ON)
- set(CPACK_RPM_COMPONENT_INSTALL ON)
- 
--install(TARGETS clinfo DESTINATION bin COMPONENT binary)
- install(TARGETS amdocl DESTINATION lib COMPONENT binary)
- install(FILES ${CMAKE_SOURCE_DIR}/LICENSE.txt DESTINATION 
share/doc/${CMAKE_PROJECT_NAME} COMPONENT binary)
- 

diff --git 
a/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-5.3.3-gcc13.patch 
b/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-5.3.3-gcc13.patch
deleted file mode 100644
index b1cd513ce6b7..000000000000
--- a/dev-libs/rocm-opencl-runtime/files/rocm-opencl-runtime-5.3.3-gcc13.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-For https://bugs.gentoo.org/895382
-==================================
-From 767241dca886bcd2469d91382afab9d032e1cfa6 Mon Sep 17 00:00:00 2001
-From: Jeremy Newton <[email protected]>
-Date: Wed, 8 Feb 2023 14:16:43 -0500
-Subject: [PATCH] SWDEV-1 - cltrace: Add missing include
-
-Newer GCC's seem to require this.
-
-Signed-off-by: Jeremy Newton <[email protected]>
-Change-Id: I56ef934600729e892f1cd7ab11662760df48aed8
----
- tools/cltrace/cltrace.cpp | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/tools/cltrace/cltrace.cpp b/tools/cltrace/cltrace.cpp
-index be96298..5ac5b62 100644
---- a/tools/cltrace/cltrace.cpp
-+++ b/tools/cltrace/cltrace.cpp
-@@ -17,6 +17,7 @@
- #include <iostream>
- #include <cstring>
- #include <cstdlib>
-+#include <cstdint>
- 
- #ifdef _MSC_VER
- #include <windows.h>

diff --git a/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.1.3.ebuild 
b/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.1.3.ebuild
deleted file mode 100644
index b9015cd84b13..000000000000
--- a/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.1.3.ebuild
+++ /dev/null
@@ -1,130 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake edo flag-o-matic prefix
-
-DESCRIPTION="Radeon Open Compute OpenCL Compatible Runtime"
-HOMEPAGE="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime";
-SRC_URI="https://github.com/ROCm-Developer-Tools/ROCclr/archive/rocm-${PV}.tar.gz
 -> rocclr-${PV}.tar.gz
-       
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/archive/rocm-${PV}.tar.gz
 -> rocm-opencl-runtime-${PV}.tar.gz"
-
-LICENSE="Apache-2.0 MIT"
-SLOT="0/$(ver_cut 1-2)"
-IUSE="debug test"
-RESTRICT="!test? ( test )"
-KEYWORDS="~amd64"
-
-RDEPEND=">=dev-libs/rocr-runtime-${PV}
-       >=dev-libs/rocm-comgr-${PV}
-       >=dev-libs/rocm-device-libs-${PV}
-       >=virtual/opencl-3
-       media-libs/mesa[-opencl]"
-DEPEND="${RDEPEND}
-       dev-util/opencl-headers"
-BDEPEND=">=dev-build/rocm-cmake-${PV}
-       media-libs/glew
-       test? ( >=x11-apps/mesa-progs-8.5.0[X] )
-       "
-
-PATCHES=(
-       "${FILESDIR}/${PN}-5.1.3-remove-clinfo.patch"
-       "${FILESDIR}/${PN}-3.5.0-do-not-install-libopencl.patch"
-       "${FILESDIR}/${PN}-5.3.3-gcc13.patch"
-)
-
-S="${WORKDIR}/ROCm-OpenCL-Runtime-rocm-${PV}"
-S1="${WORKDIR}/ROCclr-rocm-${PV}"
-
-src_prepare() {
-       # Remove "clinfo" - use "dev-util/clinfo" instead
-       [ -d tools/clinfo ] && rm -rf tools/clinfo || die
-
-       cmake_src_prepare
-
-       hprefixify amdocl/CMakeLists.txt
-
-       sed -e "s/DESTINATION lib/DESTINATION ${CMAKE_INSTALL_LIBDIR}/g" -i 
packaging/CMakeLists.txt || die
-       # remove trailing CR or it won't work
-       sed -e "s/\r$//g" -i tests/ocltst/module/perf/oclperf.exclude || die
-
-       pushd ${S1} || die
-       # Bug #753377
-       # patch re-enables accidentally disabled gfx800 family
-       eapply "${FILESDIR}/${PN}-5.0.2-enable-gfx800.patch"
-       eapply "${FILESDIR}/rocclr-5.3.3-fix-include.patch"
-       eapply "${FILESDIR}/rocclr-5.3.3-gcc13.patch"
-       popd || die
-}
-
-src_configure() {
-       # Fix ld.lld linker error: 
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/issues/155
-       append-ldflags $(test-flags-CCLD -Wl,--undefined-version)
-
-       # Reported upstream: 
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/issues/120
-       append-cflags -fcommon
-
-       local mycmakeargs=(
-               -Wno-dev
-               -DROCCLR_PATH="${S1}"
-               -DAMD_OPENCL_PATH="${S}"
-               -DROCM_PATH="${EPREFIX}/usr"
-               -DBUILD_TESTS=$(usex test ON OFF)
-               -DEMU_ENV=ON
-               # -DCMAKE_STRIP=""
-       )
-       cmake_src_configure
-}
-
-src_install() {
-       insinto /etc/OpenCL/vendors
-       doins config/amdocl64.icd
-
-       cd "${BUILD_DIR}" || die
-       insinto /usr/lib64
-       doins amdocl/libamdocl64.so
-       doins tools/cltrace/libcltrace.so
-}
-
-# Copied from rocm.eclass. This ebuild does not need amdgpu_targets
-# USE_EXPANDS, so it should not inherit rocm.eclass; it only uses the
-# check_amdgpu function in src_test. Rename it to check-amdgpu to avoid
-# pkgcheck warning.
-check-amdgpu() {
-       for device in /dev/kfd /dev/dri/render*; do
-               addwrite ${device}
-               if [[ ! -r ${device} || ! -w ${device} ]]; then
-                       eerror "Cannot read or write ${device}!"
-                       eerror "Make sure it is present and check the 
permission."
-                       ewarn "By default render group have access to it. Check 
if portage user is in render group."
-                       die "${device} inaccessible"
-               fi
-       done
-}
-
-src_test() {
-       check-amdgpu
-       cd "${BUILD_DIR}"/tests/ocltst || die
-       export OCL_ICD_FILENAMES="${BUILD_DIR}"/amdocl/libamdocl64.so
-       local instruction1="Please start an X server using amdgpu driver (not 
Xvfb!),"
-       local instruction2="and export OCLGL_DISPLAY=\${DISPLAY} 
OCLGL_XAUTHORITY=\${XAUTHORITY} before reruning the test."
-       if [[ -n ${OCLGL_DISPLAY+x} ]]; then
-               export DISPLAY=${OCLGL_DISPLAY}
-               export XAUTHORITY=${OCLGL_XAUTHORITY}
-               ebegin "Running oclgl test under DISPLAY ${OCLGL_DISPLAY}"
-               if ! glxinfo | grep "OpenGL vendor string: AMD"; then
-                       ewarn "${instruction1}"
-                       ewarn "${instruction2}"
-                       die "This display does not have AMD OpenGL vendor!"
-               fi
-               ./ocltst -m liboclgl.so -A ogl.exclude
-               eend $? || die "oclgl test failed"
-       else
-               ewarn "${instruction1}"
-               ewarn "${instruction2}"
-               die "\${OCLGL_DISPLAY} not set."
-       fi
-       edob ./ocltst -m liboclruntime.so -A oclruntime.exclude
-       edob ./ocltst -m liboclperf.so -A oclperf.exclude
-}

diff --git a/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.3.3-r1.ebuild 
b/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.3.3-r1.ebuild
deleted file mode 100644
index 3e7f3d21381e..000000000000
--- a/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.3.3-r1.ebuild
+++ /dev/null
@@ -1,118 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake edo flag-o-matic
-
-DESCRIPTION="Radeon Open Compute OpenCL Compatible Runtime"
-HOMEPAGE="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime";
-SRC_URI="https://github.com/ROCm-Developer-Tools/ROCclr/archive/rocm-${PV}.tar.gz
 -> rocclr-${PV}.tar.gz
-       
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/archive/rocm-${PV}.tar.gz
 -> rocm-opencl-runtime-${PV}.tar.gz"
-
-LICENSE="Apache-2.0 MIT"
-SLOT="0/$(ver_cut 1-2)"
-IUSE="debug test"
-RESTRICT="!test? ( test )"
-KEYWORDS="~amd64"
-
-RDEPEND=">=dev-libs/rocr-runtime-${PV}
-       >=dev-libs/rocm-comgr-${PV}
-       >=dev-libs/rocm-device-libs-${PV}
-       >=virtual/opencl-3
-       media-libs/mesa[-opencl]"
-DEPEND="${RDEPEND}
-       dev-util/opencl-headers"
-BDEPEND=">=dev-build/rocm-cmake-${PV}
-       media-libs/glew
-       test? ( >=x11-apps/mesa-progs-8.5.0[X] )
-       "
-
-S="${WORKDIR}/ROCm-OpenCL-Runtime-rocm-${PV}"
-S1="${WORKDIR}/ROCclr-rocm-${PV}"
-
-PATCHES=( "${FILESDIR}/${PN}-5.3.3-gcc13.patch" )
-
-src_prepare() {
-       cmake_src_prepare
-
-       pushd ${S1} || die
-       # Bug #753377
-       # patch re-enables accidentally disabled gfx800 family
-       eapply "${FILESDIR}/${PN}-5.0.2-enable-gfx800.patch"
-       eapply "${FILESDIR}/rocclr-${PV}-fix-include.patch"
-       eapply "${FILESDIR}/rocclr-5.3.3-gcc13.patch"
-       popd || die
-}
-
-src_configure() {
-       # Fix ld.lld linker error: 
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/issues/155
-       append-ldflags $(test-flags-CCLD -Wl,--undefined-version)
-
-       # Reported upstream: 
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/issues/120
-       append-cflags -fcommon
-
-       local mycmakeargs=(
-               -Wno-dev
-               -DROCCLR_PATH="${S1}"
-               -DAMD_OPENCL_PATH="${S}"
-               -DROCM_PATH="${EPREFIX}/usr"
-               -DBUILD_TESTS=$(usex test ON OFF)
-               -DEMU_ENV=ON
-               -DBUILD_ICD=OFF
-               -DFILE_REORG_BACKWARD_COMPATIBILITY=OFF
-       )
-       cmake_src_configure
-}
-
-src_install() {
-       insinto /etc/OpenCL/vendors
-       doins config/amdocl64.icd
-
-       cd "${BUILD_DIR}" || die
-       insinto /usr/lib64
-       doins amdocl/libamdocl64.so
-       doins tools/cltrace/libcltrace.so
-}
-
-# Copied from rocm.eclass. This ebuild does not need amdgpu_targets
-# USE_EXPANDS, so it should not inherit rocm.eclass; it only uses the
-# check_amdgpu function in src_test. Rename it to check-amdgpu to avoid
-# pkgcheck warning.
-check-amdgpu() {
-       for device in /dev/kfd /dev/dri/render*; do
-               addwrite ${device}
-               if [[ ! -r ${device} || ! -w ${device} ]]; then
-                       eerror "Cannot read or write ${device}!"
-                       eerror "Make sure it is present and check the 
permission."
-                       ewarn "By default render group have access to it. Check 
if portage user is in render group."
-                       die "${device} inaccessible"
-               fi
-       done
-}
-
-src_test() {
-       check-amdgpu
-       cd "${BUILD_DIR}"/tests/ocltst || die
-       export OCL_ICD_FILENAMES="${BUILD_DIR}"/amdocl/libamdocl64.so
-       local instruction1="Please start an X server using amdgpu driver (not 
Xvfb!),"
-       local instruction2="and export OCLGL_DISPLAY=\${DISPLAY} 
OCLGL_XAUTHORITY=\${XAUTHORITY} before reruning the test."
-       if [[ -n ${OCLGL_DISPLAY+x} ]]; then
-               export DISPLAY=${OCLGL_DISPLAY}
-               export XAUTHORITY=${OCLGL_XAUTHORITY}
-               ebegin "Running oclgl test under DISPLAY ${OCLGL_DISPLAY}"
-               if ! glxinfo | grep "OpenGL vendor string: AMD"; then
-                       ewarn "${instruction1}"
-                       ewarn "${instruction2}"
-                       die "This display does not have AMD OpenGL vendor!"
-               fi
-               ./ocltst -m liboclgl.so -A ogl.exclude
-               eend $? || die "oclgl test failed"
-       else
-               ewarn "${instruction1}"
-               ewarn "${instruction2}"
-               die "\${OCLGL_DISPLAY} not set."
-       fi
-       edob ./ocltst -m liboclruntime.so -A oclruntime.exclude
-       edob ./ocltst -m liboclperf.so -A oclperf.exclude
-}

diff --git a/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.4.3-r1.ebuild 
b/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.4.3-r1.ebuild
deleted file mode 100644
index fea24ac7dafc..000000000000
--- a/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.4.3-r1.ebuild
+++ /dev/null
@@ -1,136 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake edo flag-o-matic
-
-DESCRIPTION="Radeon Open Compute OpenCL Compatible Runtime"
-HOMEPAGE="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime";
-
-if [[ ${PV} == *9999 ]] ; then
-       EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime";
-       EGIT_CLR_REPO_URI="https://github.com/ROCm-Developer-Tools/ROCclr";
-       inherit git-r3
-       S="${WORKDIR}/${P}"
-else
-       KEYWORDS="~amd64"
-       
SRC_URI="https://github.com/ROCm-Developer-Tools/ROCclr/archive/rocm-${PV}.tar.gz
 -> rocclr-${PV}.tar.gz
-       
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/archive/rocm-${PV}.tar.gz
 -> rocm-opencl-runtime-${PV}.tar.gz"
-       S="${WORKDIR}/ROCm-OpenCL-Runtime-rocm-${PV}"
-fi
-
-LICENSE="Apache-2.0 MIT"
-SLOT="0/$(ver_cut 1-2)"
-IUSE="debug test"
-RESTRICT="!test? ( test )"
-
-RDEPEND=">=dev-libs/rocr-runtime-5.3
-       >=dev-libs/rocm-comgr-5.3
-       >=dev-libs/rocm-device-libs-5.3
-       >=virtual/opencl-3
-       media-libs/mesa[-opencl]"
-DEPEND="${RDEPEND}
-       dev-util/opencl-headers"
-BDEPEND=">=dev-build/rocm-cmake-5.3
-       test? (
-               >=x11-apps/mesa-progs-8.5.0[X]
-               media-libs/glew
-       )
-       "
-
-CLR_S="${WORKDIR}/ROCclr-rocm-${PV}"
-PATCHES=( "${FILESDIR}/${PN}-5.3.3-gcc13.patch" )
-
-src_unpack () {
-if [[ ${PV} == "9999" ]]; then
-               git-r3_fetch
-               git-r3_checkout
-               git-r3_fetch "${EGIT_CLR_REPO_URI}"
-               git-r3_checkout "${EGIT_CLR_REPO_URI}" "${CLR_S}"
-       else
-               default
-       fi
-}
-src_prepare() {
-       # Fix ld.lld linker error: 
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/issues/155
-       append-ldflags $(test-flags-CCLD -Wl,--undefined-version)
-
-       cmake_src_prepare
-
-       pushd ${CLR_S} || die
-       # Bug #753377
-       # patch re-enables accidentally disabled gfx800 family
-       eapply "${FILESDIR}/${PN}-5.0.2-enable-gfx800.patch"
-       eapply "${FILESDIR}/rocclr-5.3.3-gcc13.patch"
-       popd || die
-}
-
-src_configure() {
-       # Reported upstream: 
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/issues/120
-       append-cflags -fcommon
-
-       local mycmakeargs=(
-               -Wno-dev
-               -DROCCLR_PATH="${CLR_S}"
-               -DAMD_OPENCL_PATH="${S}"
-               -DROCM_PATH="${EPREFIX}/usr"
-               -DBUILD_TESTS=$(usex test ON OFF)
-               -DEMU_ENV=ON
-               -DBUILD_ICD=OFF
-               -DFILE_REORG_BACKWARD_COMPATIBILITY=OFF
-       )
-       cmake_src_configure
-}
-
-src_install() {
-       insinto /etc/OpenCL/vendors
-       doins config/amdocl64.icd
-
-       cd "${BUILD_DIR}" || die
-       insinto /usr/lib64
-       doins amdocl/libamdocl64.so
-       doins tools/cltrace/libcltrace.so
-}
-
-# Copied from rocm.eclass. This ebuild does not need amdgpu_targets
-# USE_EXPANDS, so it should not inherit rocm.eclass; it only uses the
-# check_amdgpu function in src_test. Rename it to check-amdgpu to avoid
-# pkgcheck warning.
-check-amdgpu() {
-       for device in /dev/kfd /dev/dri/render*; do
-               addwrite ${device}
-               if [[ ! -r ${device} || ! -w ${device} ]]; then
-                       eerror "Cannot read or write ${device}!"
-                       eerror "Make sure it is present and check the 
permission."
-                       ewarn "By default render group have access to it. Check 
if portage user is in render group."
-                       die "${device} inaccessible"
-               fi
-       done
-}
-
-src_test() {
-       check-amdgpu
-       cd "${BUILD_DIR}"/tests/ocltst || die
-       export OCL_ICD_FILENAMES="${BUILD_DIR}"/amdocl/libamdocl64.so
-       local instruction1="Please start an X server using amdgpu driver (not 
Xvfb!),"
-       local instruction2="and export OCLGL_DISPLAY=\${DISPLAY} 
OCLGL_XAUTHORITY=\${XAUTHORITY} before reruning the test."
-       if [[ -n ${OCLGL_DISPLAY+x} ]]; then
-               export DISPLAY=${OCLGL_DISPLAY}
-               export XAUTHORITY=${OCLGL_XAUTHORITY}
-               ebegin "Running oclgl test under DISPLAY ${OCLGL_DISPLAY}"
-               if ! glxinfo | grep "OpenGL vendor string: AMD"; then
-                       ewarn "${instruction1}"
-                       ewarn "${instruction2}"
-                       die "This display does not have AMD OpenGL vendor!"
-               fi
-               ./ocltst -m $(realpath liboclgl.so) -A ogl.exclude
-               eend $? || die "oclgl test failed"
-       else
-               ewarn "${instruction1}"
-               ewarn "${instruction2}"
-               die "\${OCLGL_DISPLAY} not set."
-       fi
-       edob ./ocltst -m $(realpath liboclruntime.so) -A oclruntime.exclude
-       edob ./ocltst -m $(realpath liboclperf.so) -A oclperf.exclude
-}

diff --git a/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.5.1.ebuild 
b/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.5.1.ebuild
deleted file mode 100644
index c9a0dfc880b7..000000000000
--- a/dev-libs/rocm-opencl-runtime/rocm-opencl-runtime-5.5.1.ebuild
+++ /dev/null
@@ -1,133 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake edo flag-o-matic
-
-DESCRIPTION="Radeon Open Compute OpenCL Compatible Runtime"
-HOMEPAGE="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime";
-
-if [[ ${PV} == *9999 ]] ; then
-       EGIT_REPO_URI="https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime";
-       EGIT_CLR_REPO_URI="https://github.com/ROCm-Developer-Tools/ROCclr";
-       inherit git-r3
-       S="${WORKDIR}/${P}"
-else
-       KEYWORDS="~amd64"
-       
SRC_URI="https://github.com/ROCm-Developer-Tools/ROCclr/archive/rocm-${PV}.tar.gz
 -> rocclr-${PV}.tar.gz
-       
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/archive/rocm-${PV}.tar.gz
 -> rocm-opencl-runtime-${PV}.tar.gz"
-       S="${WORKDIR}/ROCm-OpenCL-Runtime-rocm-${PV}"
-fi
-
-LICENSE="Apache-2.0 MIT"
-SLOT="0/$(ver_cut 1-2)"
-IUSE="debug test"
-RESTRICT="!test? ( test )"
-
-RDEPEND=">=dev-libs/rocr-runtime-5.3
-       >=dev-libs/rocm-comgr-5.3
-       >=dev-libs/rocm-device-libs-5.3
-       >=virtual/opencl-3
-       media-libs/mesa[-opencl]"
-DEPEND="${RDEPEND}"
-BDEPEND=">=dev-build/rocm-cmake-5.3
-       media-libs/glew
-       test? ( >=x11-apps/mesa-progs-8.5.0[X] )
-       "
-
-CLR_S="${WORKDIR}/ROCclr-rocm-${PV}"
-PATCHES=( "${FILESDIR}/${PN}-5.3.3-gcc13.patch" )
-
-src_unpack () {
-if [[ ${PV} == "9999" ]]; then
-               git-r3_fetch
-               git-r3_checkout
-               git-r3_fetch "${EGIT_CLR_REPO_URI}"
-               git-r3_checkout "${EGIT_CLR_REPO_URI}" "${CLR_S}"
-       else
-               default
-       fi
-}
-src_prepare() {
-       cmake_src_prepare
-
-       pushd ${CLR_S} || die
-       # Bug #753377
-       # patch re-enables accidentally disabled gfx800 family
-       eapply "${FILESDIR}/${PN}-5.0.2-enable-gfx800.patch"
-       eapply "${FILESDIR}/rocclr-5.3.3-gcc13.patch"
-       popd || die
-}
-
-src_configure() {
-       # Fix ld.lld linker error: 
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/issues/155
-       append-ldflags $(test-flags-CCLD -Wl,--undefined-version)
-
-       # Reported upstream: 
https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/issues/120
-       append-cflags -fcommon
-
-       local mycmakeargs=(
-               -Wno-dev
-               -DROCCLR_PATH="${CLR_S}"
-               -DAMD_OPENCL_PATH="${S}"
-               -DROCM_PATH="${EPREFIX}/usr"
-               -DBUILD_TESTS=$(usex test ON OFF)
-               -DEMU_ENV=ON
-               -DBUILD_ICD=OFF
-               -DFILE_REORG_BACKWARD_COMPATIBILITY=OFF
-       )
-       cmake_src_configure
-}
-
-src_install() {
-       insinto /etc/OpenCL/vendors
-       doins config/amdocl64.icd
-
-       cd "${BUILD_DIR}" || die
-       insinto /usr/lib64
-       doins amdocl/libamdocl64.so
-       doins tools/cltrace/libcltrace.so
-}
-
-# Copied from rocm.eclass. This ebuild does not need amdgpu_targets
-# USE_EXPANDS, so it should not inherit rocm.eclass; it only uses the
-# check_amdgpu function in src_test. Rename it to check-amdgpu to avoid
-# pkgcheck warning.
-check-amdgpu() {
-       for device in /dev/kfd /dev/dri/render*; do
-               addwrite ${device}
-               if [[ ! -r ${device} || ! -w ${device} ]]; then
-                       eerror "Cannot read or write ${device}!"
-                       eerror "Make sure it is present and check the 
permission."
-                       ewarn "By default render group have access to it. Check 
if portage user is in render group."
-                       die "${device} inaccessible"
-               fi
-       done
-}
-
-src_test() {
-       check-amdgpu
-       cd "${BUILD_DIR}"/tests/ocltst || die
-       export OCL_ICD_FILENAMES="${BUILD_DIR}"/amdocl/libamdocl64.so
-       local instruction1="Please start an X server using amdgpu driver (not 
Xvfb!),"
-       local instruction2="and export OCLGL_DISPLAY=\${DISPLAY} 
OCLGL_XAUTHORITY=\${XAUTHORITY} before reruning the test."
-       if [[ -n ${OCLGL_DISPLAY+x} ]]; then
-               export DISPLAY=${OCLGL_DISPLAY}
-               export XAUTHORITY=${OCLGL_XAUTHORITY}
-               ebegin "Running oclgl test under DISPLAY ${OCLGL_DISPLAY}"
-               if ! glxinfo | grep "OpenGL vendor string: AMD"; then
-                       ewarn "${instruction1}"
-                       ewarn "${instruction2}"
-                       die "This display does not have AMD OpenGL vendor!"
-               fi
-               ./ocltst -m $(realpath liboclgl.so) -A ogl.exclude
-               eend $? || die "oclgl test failed"
-       else
-               ewarn "${instruction1}"
-               ewarn "${instruction2}"
-               die "\${OCLGL_DISPLAY} not set."
-       fi
-       edob ./ocltst -m $(realpath liboclruntime.so) -A oclruntime.exclude
-       edob ./ocltst -m $(realpath liboclperf.so) -A oclperf.exclude
-}


Reply via email to